<?php

namespace PureCharity\Fundraisers;

class I18nController extends FundraisersController {
    
    public $moduleConfig;
    private $domain;

    function __construct($moduleConfig) {

        $this->moduleConfig = $moduleConfig;
    }

    /**
	 * Load the plugin text domain for translation.
	 *
	 *
	 */
	public function loadPluginTextdomain() {

		load_plugin_textdomain(
			$this->moduleConfig['plugin']['name'],
			false,
			(
                $this->moduleConfig['base']['path'] .'/languages/'
            )
		);
	}
}